Debian Bug report logs - #359962
kvpnc: Change the desktop file to run as root

version graph

Package: kvpnc; Maintainer for kvpnc is Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>; Source for kvpnc is src:kvpnc.

Reported by: Mario Iseli <admin@marioiseli.com>

Date: Wed, 29 Mar 2006 20:18:11 UTC

Severity: wishlist

Tags: patch

Found in version kvpnc/0.8.3-2

Fixed in version kvpnc/0.8.5-1

Done: Fathi Boudra <fboudra@free.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#359962; Package kvpnc. Full text and rfc822 format available.

Acknowledgement sent to Mario Iseli <admin@marioiseli.com>:
New Bug report received and forwarded. Copy sent to Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mario Iseli <admin@marioiseli.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kvpnc: Change the desktop file to run as root
Date: Wed, 29 Mar 2006 21:07:52 +0200
Package: kvpnc
Version: 0.8.3-2
Severity: wishlist
Tags: patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello, the "run-as-root" Option in the *.desktop file only works on KDE
and there is also a icon set which doesn't work because there is no icon
for kvpnc. Here a very small patch for the desktop-file:

- --- kvpnc.desktop       2006-03-29 21:01:01.000000000 +0200
+++ kvpnc.notkde.desktop        2006-03-29 21:04:30.000000000 +0200
@@ -18,9 +18,7 @@
 GenericName[xx]=xxVPN Client GUIxx

  Categories=Network;RemoteAccess;KDE;Qt
  -Exec=kvpnc
  -X-KDE-SubstituteUID=true
  -Icon=kvpnc
  +Exec=gksu -u root /usr/bin/synaptic
   Type=Application

    Version=0.9.4

- -- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages kvpnc depends on:
ii  kdelibs4c2a               4:3.5.1-4      core libraries for all KDE applica
ii  libacl1                   2.2.36-1       Access control list shared library
ii  libart-2.0-2              2.3.17-1       Library of functions for 2D graphi
ii  libattr1                  2.4.32-1       Extended attribute shared library
ii  libaudio2                 1.7-6          The Network Audio System (NAS). (s
ii  libc6                     2.3.6-4        GNU C Library: Shared libraries an
ii  libfam0                   2.7.0-9        Client library to control the FAM 
ii  libfontconfig1            2.3.2-5        generic font configuration library
ii  libfreetype6              2.1.10-2       FreeType 2 font engine, shared lib
ii  libgcc1                   1:4.1.0-0      GCC support library
ii  libgcrypt11               1.2.2-1        LGPL Crypto library - runtime libr
ii  libgpg-error0             1.2-1          library for common error values an
ii  libice6                   6.9.0.dfsg.1-5 Inter-Client Exchange library
ii  libidn11                  0.5.18-2       GNU libidn library, implementation
ii  libjpeg62                 6b-12          The Independent JPEG Group's JPEG 
ii  libpng12-0                1.2.8rel-5     PNG library - runtime
ii  libqt3-mt                 3:3.3.6-1      Qt GUI Library (Threaded runtime v
ii  libsm6                    6.9.0.dfsg.1-5 X Window System Session Management
ii  libstdc++6                4.1.0-0        The GNU Standard C++ Library v3
ii  libx11-6                  6.9.0.dfsg.1-5 X Window System protocol client li
ii  libxcursor1               1.1.3-1        X cursor management library
ii  libxext6                  6.9.0.dfsg.1-5 X Window System miscellaneous exte
ii  libxft2                   2.1.8.2-5.1    FreeType-based font drawing librar
ii  libxi6                    6.9.0.dfsg.1-5 X Window System Input extension li
ii  libxinerama1              6.9.0.dfsg.1-5 X Window System multi-head display
ii  libxrandr2                6.9.0.dfsg.1-5 X Window System Resize, Rotate and
ii  libxrender1               1:0.9.0.2-1    X Rendering Extension client libra
ii  libxt6                    6.9.0.dfsg.1-5 X Toolkit Intrinsics
ii  module-init-tools         3.2.2-2        tools for managing Linux kernel mo
ii  modutils                  2.4.27.0-5     Linux module utilities
ii  net-tools                 1.60-17        The NET-3 networking toolkit
ii  psmisc                    22.2-1         Utilities that use the proc filesy
ii  zlib1g                    1:1.2.3-11     compression library - runtime

Versions of packages kvpnc recommends:
ii  kdebase-bin                   4:3.5.1-1  core binaries for the KDE base mod

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEKtsIzKnfzWpnAewRAoF9AKDrchX68Z99uz3QPckTaURwAq6+5ACgpLq8
YdShcFyxOtXrBmTS3JpkK9w=
=Fphd
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#359962; Package kvpnc. Full text and rfc822 format available.

Acknowledgement sent to fboudra@free.fr:
Extra info received and forwarded to list. Copy sent to Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 359962@bugs.debian.org (full text, mbox):

From: Fathi BOUDRA <fboudra@free.fr>
To: 359962@bugs.debian.org
Cc: 359962-submitter@bugs.debian.org
Subject: kvpnc: Change the desktop file to run as root
Date: Thu, 30 Mar 2006 01:38:35 +0200
hi,

you're patch introduce gksu dependency that can be replaced by kdesu as well 
(i think synaptic line is just a typo error). About the icon, probably a 
false problem,  a behavior that you have under non kde desktop.

i'll take a look to have a more general solution without introducing gksu.

cheers,

Fathi



Message sent on to Mario Iseli <admin@marioiseli.com>:
Bug#359962. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#359962; Package kvpnc. Full text and rfc822 format available.

Acknowledgement sent to fboudra@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #18 received at 359962@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fboudra@gmail.com>
To: 359962@bugs.debian.org
Cc: 359962-submitter@bugs.debian.org, portland@lists.freedesktop.org
Subject: RE: alternative to X-KDE-SubstituteUID for non KDE desktops
Date: Mon, 24 Apr 2006 16:30:53 +0200
After some investigation, i found this thread "Mini-proposal for
Elevated User Privileges in menu-spec":
http://lists.freedesktop.org/archives/xdg/2005-May/006893.html

I asked on the list how to avoid gksu dependency for a KDE apps :
* if i need to provide a specific desktop file for each desktops ?
* Is there a common way to elevate user privilege ?

Waldo Bastian replied :
> The Portland project has proposed a "xdg-su" command that could be used
> to prompt the user for elevated privileges. There seems to be some
> objection to that approach though so it's probably a good idea if you
> subscribe to the portland mailinglist and join the discussion there, in
> particular it would help if you can present actual use cases that
> require this functionality. 

i looked at the script, it's a wrapper around gnomesu/kdesu, detecting the 
desktop environment (gnome/kde) :
http://webcvs.freedesktop.org/portland/portland/xdg-utils/scripts/xdg-su?rev=1.7&view=markup

So the main idea is to use xdg-su (depends on a possible xdg-utils package ?) 
in the desktop file then recommends kdebase-bin | libgnomesu0 (instead of 
recommends kdebase-bin only ATM).

cheers,

Fathi

ps:
* i skipped xsu and the generic part that doesn't exist on debian.
* xdg-utils is a technology preview and doesn't exist on debian.
* CC'ed to bugs.debian.org to keep track of the discussions ;)



Message sent on to Mario Iseli <admin@marioiseli.com>:
Bug#359962. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#359962; Package kvpnc. Full text and rfc822 format available.

Acknowledgement sent to nive@freesurf.fr:
Extra info received and forwarded to list. Copy sent to Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #26 received at 359962@bugs.debian.org (full text, mbox):

From: Olivier Trichet <nive@freesurf.fr>
To: fboudra@gmail.com, 359962@bugs.debian.org
Subject: Re: Bug#359962: alternative to X-KDE-SubstituteUID for non KDE desktops
Date: Mon, 24 Apr 2006 20:26:08 +0200
Le Lundi 24 Avril 2006 16:30, Fathi Boudra <fboudra@gmail.com> a écrit :
> After some investigation, i found this thread "Mini-proposal for
> Elevated User Privileges in menu-spec":
> http://lists.freedesktop.org/archives/xdg/2005-May/006893.html
>
> I asked on the list how to avoid gksu dependency for a KDE apps :
> * if i need to provide a specific desktop file for each desktops ?
> * Is there a common way to elevate user privilege ?
>

On Debian system, you may use the "su-to-root" program from the menu 
package. For instance, the qtparted package use this method.

bye,
nive



Information forwarded to debian-bugs-dist@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#359962; Package kvpnc. Full text and rfc822 format available.

Acknowledgement sent to fboudra@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #31 received at 359962@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fboudra@gmail.com>
To: portland@lists.freedesktop.org
Cc: 359962@bugs.debian.org
Subject: RE: alternative to X-KDE-SubstituteUID for non KDE desktops
Date: Tue, 25 Apr 2006 09:09:36 +0200
Hi,

some more informations about similar behavior to xdg-su on debian.
it could be nice to have a common way to deal with elevated user privileges
problem. Actually, kvpnc and qtparted are use cases that require this 
functionnality.

* from Olivier Trichet :
> On Debian system, you may use the "su-to-root" program from the menu 
> package. For instance, the qtparted package use this method.

* from man su-to-root :
NAME
       su-to-root - A simple script to give an `interactive' front-end to su.  
It can be used in menu entry commands to ask for the root password

SYNOPSIS
       su-to-root [-X] [-p <user>] -c <command>

DESCRIPTION
       Most menu entries simply start an editor or a game or whatever. But 
some menu entries would like to give the user the ability to change important 
settings in the system, that require root privileges.  su-to-root can be used 
to ask for the root password.

OPTIONS
       -c <command>
              The command to execute as a string. This option is mandatory.

       -p <user>
              The name of the user to su to, instead of root.

       -X     The command is a X11 program that do not require a terminal.  
This is to be used with menu entries that declare needs="X11".

ENVIRONMENT
       SU_TO_ROOT_X
              Select the su-like program called by su-to-root -X.  Supported 
values are gksu, kdesu and sux.

       SU_TO_ROOT_SU
              If set to sux force su-to-root to use sux in text mode.

* about sux:
wrapper around su which will transfer your X credentials
Sux is a wrapper around the standard su command which will transfer
your X credentials to the target user.
http://sourceforge.net/projects/sux/

* qtparted.desktop: Exec=su-to-root -X -c /usr/sbin/qtparted

cheers,

Fathi




Reply sent to Fathi Boudra <fboudra@free.fr>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mario Iseli <admin@marioiseli.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 359962-close@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fboudra@free.fr>
To: 359962-close@bugs.debian.org
Subject: Bug#359962: fixed in kvpnc 0.8.5-1
Date: Fri, 19 May 2006 00:47:09 -0700
Source: kvpnc
Source-Version: 0.8.5-1

We believe that the bug you reported is fixed in the latest version of
kvpnc, which is due to be installed in the Debian FTP archive:

kvpnc_0.8.5-1.diff.gz
  to pool/main/k/kvpnc/kvpnc_0.8.5-1.diff.gz
kvpnc_0.8.5-1.dsc
  to pool/main/k/kvpnc/kvpnc_0.8.5-1.dsc
kvpnc_0.8.5-1_i386.deb
  to pool/main/k/kvpnc/kvpnc_0.8.5-1_i386.deb
kvpnc_0.8.5.orig.tar.gz
  to pool/main/k/kvpnc/kvpnc_0.8.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 359962@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fathi Boudra <fboudra@free.fr> (supplier of updated kvpnc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 18 May 2006 10:16:28 +0100
Source: kvpnc
Binary: kvpnc
Architecture: source i386
Version: 0.8.5-1
Distribution: unstable
Urgency: low
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Changed-By: Fathi Boudra <fboudra@free.fr>
Description: 
 kvpnc      - vpn clients frontend for KDE
Closes: 359960 359962 367330
Changes: 
 kvpnc (0.8.5-1) unstable; urgency=low
 .
   * New upstream release
   * Windows PPTP - makes wrong changes on /etc/resolv.conf
     fixed by upstream release (Closes: #359960)
   * Changed kdesu to su-to-root usage (Closes: #359962)
   * Changed Recommends: kdebase-bin to Depends: kdebase-bin | gksu | sux
   * Removed kvpnc dir from /usr/share/doc/kde/HTML (Closes: #367330)
   * Bumped Standards-Version to current policy
Files: 
 0689c6bd2ec3c047c769a84fd290bf68 708 kde optional kvpnc_0.8.5-1.dsc
 96bf45070e282bb3754c26f5c16c6613 2523891 kde optional kvpnc_0.8.5.orig.tar.gz
 e67d4b2c5a8f298ce1d11677291af19f 84688 kde optional kvpnc_0.8.5-1.diff.gz
 c302648715dac543a3207df081317df6 1452128 kde optional kvpnc_0.8.5-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEbXVAoCzanz0IthIRApMRAJ9ODlrwB3Zk+dPZlv0kqQtqghD00gCgj2LB
swrR50w1GVsm8lGFFlPGRi8=
=0X6y
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 04:11:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 08:14:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.